#
# spec file for package db (Version 3.1.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp gppshare libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         db
Summary:      Berkeley DB database library
Version:      3.1.17
Release:      121
Source: http://www.sleepycat.com/update/%{version}/db-%{version}.tar.bz2
Patch: db-%{version}.dif
URL: http://www.sleepycat.com
Copyright: BSD like
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/db3-root
Prefix: %{_prefix}

%description
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.
This package contains the necessary runtime libraries.

SuSE series: a

%package utils
Summary:      Command line tools for managing Berkeley DB databases
Group: Applications/Databases
Prefix: %{_prefix}

%description utils
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.
This package contains command line tools for managing Berkeley DB databases.

SuSE series: ap

%package devel
Summary:      Development libraries/header files for the Berkeley DB library
Group: Development/Libraries
Prefix: %{_prefix}

%description devel
The Berkeley DB Database is a programmatic toolkit that provides
database support for applications.
This package contains the header files, libraries, and documentation for
building programs which use Berkeley DB.

SuSE series: d

%prep
%setup
%{?suse_update_config:%{suse_update_config -f dist}}
%patch

%build
cd build_unix
CFLAGS="$RPM_OPT_FLAGS" ../dist/configure --prefix=%{_prefix} \
	--libdir=%{_libdir} --enable-compat185 --enable-diagnostic \
	--enable-dump185 --enable-shared --enable-static --enable-rpc \
	--enable-cxx %{_target_cpu}-suse-linux
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/db3
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/%{_lib}
cd build_unix
make prefix=${RPM_BUILD_ROOT}%{_prefix} libdir=${RPM_BUILD_ROOT}%{_libdir} install
mv ${RPM_BUILD_ROOT}%{_includedir}/*.h ${RPM_BUILD_ROOT}%{_includedir}/db3
echo "#include <db3/db.h>" > ${RPM_BUILD_ROOT}%{_includedir}/db.h
echo "#include <db3/db_185.h>" > ${RPM_BUILD_ROOT}%{_includedir}/db_185.h
echo "#include <db3/db_cxx.h>" > ${RPM_BUILD_ROOT}%{_includedir}/db_cxx.h
ln -sf libdb-3.1.a $RPM_BUILD_ROOT/%{_prefix}/%{_lib}/libdb-3.a
ln -sf libdb-3.1.a $RPM_BUILD_ROOT/%{_prefix}/%{_lib}/libdb.a
ln -sf libdb_cxx-3.1.a $RPM_BUILD_ROOT/%{_prefix}/%{_lib}/libdb_cxx-3.a
ln -sf libdb_cxx-3.1.a $RPM_BUILD_ROOT/%{_prefix}/%{_lib}/libdb_cxx.a

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc LICENSE README
%{_libdir}/libdb-3.1.so
%{_libdir}/libdb-3.so
%{_libdir}/libdb_cxx-3.1.so
%{_libdir}/libdb_cxx-3.so

%files utils
%defattr(-,root,root)
%doc docs/utility docs/images
%{_bindir}/berkeley_db_svc
%{_bindir}/db_archive
%{_bindir}/db_checkpoint
%{_bindir}/db_deadlock
%{_bindir}/db_dump
%{_bindir}/db_dump185
%{_bindir}/db_load
%{_bindir}/db_printlog
%{_bindir}/db_recover
%{_bindir}/db_stat
%{_bindir}/db_upgrade
%{_bindir}/db_verify

%files devel
%defattr(-,root,root)
%doc docs/api_c docs/api_cxx docs/api_java docs/api_tcl docs/index.html
%doc docs/ref docs/sleepycat docs/images
%doc examples_c examples_cxx
%{_libdir}/libdb-3.1.la
%{_libdir}/libdb_cxx-3.1.la
%{_includedir}/db.h
%{_includedir}/db_185.h
%{_includedir}/db_cxx.h
%{_includedir}/db3/db.h
%{_includedir}/db3/db_185.h
%{_includedir}/db3/db_cxx.h
%{_libdir}/libdb.so
%{_libdir}/libdb_cxx.so
%{_libdir}/libdb-3.1.a
%{_libdir}/libdb-3.a
%{_libdir}/libdb.a
%{_libdir}/libdb_cxx-3.1.a
%{_libdir}/libdb_cxx-3.a
%{_libdir}/libdb_cxx.a

%changelog -n db
* Fri Jul 20 2001 - kukuk@suse.de
- Fix build on multilib archs
* Wed Jun 06 2001 - bk@suse.de
- add suse_update_config for s390x
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Sat Mar 31 2001 - schwab@suse.de
- Build static and shared libraries in one go.
* Mon Nov 06 2000 - kukuk@suse.de
- Add /usr/include/db_185.h and /usr/include/db_cxx.h
* Wed Oct 25 2000 - kukuk@suse.de
- Install static library versions, too
* Sat Oct 21 2000 - kukuk@suse.de
- Fix documentation
- Add /usr/include/db.h
* Wed Oct 18 2000 - kukuk@suse.de
- initial version
